<template>
  <q-page class="flex" padding>
    <q-form ref="frm" class="q-mx-auto">
      <questions v-if="startApplication" />
      <job v-else @apply="apply" />
    </q-form>
  </q-page>
</template>

<script>
import Questions from 'src/components/Questions';
import Job from 'src/components/Job';

export default
{
  name: 'PageApply',
  components:
  {
    Questions,
    Job
  },
  data()
  {
    return {
      startApplication: false
    };
  },
  methods:
  {
    apply()
    {
      this.startApplication = true;
    }
  }

};
</script>

<style lang="scss" scoped>
.slide-fade-enter-active
{
  transition: all 0.3s ease-out;
}

.slide-fade-leave-active
{
  transition: all 0.8s cubic-bezier(1, 0.5, 0.8, 1);
}

.slide-fade-enter-from,
.slide-fade-leave-to
{
  transform: translateX(20px);
  opacity: 0;
}
</style>
